SDL_steamcontroller.c File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_sysjoystick.h"`
`#include "../SDL_joystick_c.h"`
`#include "SDL_steamcontroller.h"`
Include dependency graph for SDL_steamcontroller.c:

Go to the source code of this file.

## Functions

void | SDL_InitSteamControllers (SteamControllerConnectedCallback_t connectedCallback, SteamControllerDisconnectedCallback_t disconnectedCallback)
void | SDL_GetSteamControllerInputs (int *nbuttons, int *naxes, int *nhats)
void | SDL_UpdateSteamControllers (void)
void | SDL_UpdateSteamController (SDL_Joystick *joystick)
void | SDL_QuitSteamControllers (void)

## Function Documentation

## SDL_GetSteamControllerInputs()

void SDL_GetSteamControllerInputs | ( | int * | nbuttons,
|  | int * | naxes,
|  | int * | nhats
| ) |  |

Definition at line 33 of file SDL_steamcontroller.c.

Referenced by SteamControllerConnectedCallback().

{
*nbuttons = 0;
*naxes = 0;
*nhats = 0;
}

## SDL_InitSteamControllers()

void SDL_InitSteamControllers | ( | SteamControllerConnectedCallback_t | connectedCallback,
|  | SteamControllerDisconnectedCallback_t | disconnectedCallback
| ) |  |

Definition at line 28 of file SDL_steamcontroller.c.

Referenced by SDL_SYS_JoystickInit().

{
}

## SDL_QuitSteamControllers()

void SDL_QuitSteamControllers | ( | void |  | ) |

Definition at line 48 of file SDL_steamcontroller.c.

Referenced by SDL_SYS_JoystickQuit().

{
}

## SDL_UpdateSteamController()

void SDL_UpdateSteamController | ( | SDL_Joystick * | joystick | ) |

Definition at line 44 of file SDL_steamcontroller.c.

Referenced by SDL_SYS_JoystickUpdate().

{
}

## SDL_UpdateSteamControllers()

void SDL_UpdateSteamControllers | ( | void |  | ) |

Definition at line 40 of file SDL_steamcontroller.c.

Referenced by SDL_SYS_JoystickDetect().

{
}